<?php
/**
* 入力フォーム生成タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class InputFormTask extends FormTask implements ITask
{
	public $form;

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{

		$form = $this->getForm( s('entry_form') );

		// POSTデータをフォームに入力
		$form->inputEvent( $event );

		// HTMLオブジェクトに変換
		$this->form = $form->toHTMLObject( TRUE );

		return b(TRUE);
	}

}
